Draft WB - not working - new install FC 0.20

A forum dedicated to the Draft, Arch and BIM workbenches development.
User avatar
yorik
Founder
Posts: 12866
Joined: Tue Feb 17, 2009 9:16 pm
Location: Brussels
Contact:

Re: Draft WB - not working - new install FC 0.20

Post by yorik »

I would suspect a version mismatch between python and pivy... Probably the opensuse pivy package must be recompiled (this happened several times on other distros already)
maker
Posts: 142
Joined: Sun Apr 01, 2018 10:25 am

Re: Draft WB - not working - new install FC 0.20

Post by maker »

yorik wrote: Tue Jun 21, 2022 9:46 am I would suspect a version mismatch between python and pivy... Probably the opensuse pivy package must be recompiled (this happened several times on other distros already)
Hi yorik,
thanks for your contribution.

Code: Select all

lrwxrwxrwx 1 root root     9 22. Mär 19:41 /usr/bin/python -> python2.7
lrwxrwxrwx 1 root root     9 22. Mär 19:41 /usr/bin/python2 -> python2.7
-rwxr-xr-x 1 root root  6304 22. Mär 19:41 /usr/bin/python2.7
lrwxrwxrwx 1 root root     9 16. Mär 17:17 /usr/bin/python3 -> python3.6
-rwxr-xr-x 2 root root 10584 16. Mär 17:17 /usr/bin/python3.6
lrwxrwxrwx 1 root root    17 16. Mär 17:17 /usr/bin/python3.6-config -> python3.6m-config
-rwxr-xr-x 2 root root 10584 16. Mär 17:17 /usr/bin/python3.6m
-rwxr-xr-x 1 root root  3440 16. Mär 17:17 /usr/bin/python3.6m-config
-rwxr-xr-x 1 root root  6416 23. Mär 13:19 /usr/bin/python3.9
lrwxrwxrwx 1 root root    16 16. Mär 17:17 /usr/bin/python3-config -> python3.6-config
lrwxrwxrwx 1 root root    45  9. Jun 2020  /usr/bin/pythontex -> ../share/texmf/scripts/pythontex/pythontex.py

Code: Select all

Name        : python3-pivy
Version     : 0.6.7
Release     : lp153.26.1
Architecture: x86_64
Install Date: Mi 18 Mai 2022 11:21:38 CEST
Group       : Development/Libraries/Python
Size        : 14685091
License     : GPL-2.0-only AND ISC
Signature   : DSA/SHA1, Di 17 Mai 2022 15:41:08 CEST, Key ID 01db7302943d8bb8
Source RPM  : python-pivy-0.6.7-lp153.26.1.src.rpm
Build Date  : Di 17 Mai 2022 15:40:29 CEST
Build Host  : goat13
Relocations : (not relocatable)
Vendor      : obs://build.opensuse.org/science
URL         : https://github.com/FreeCAD/pivy
Summary     : Coin Binding for Python
Description :
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
with a C++ Application Programming Interface. Coin uses scene-graph data
structures to render real-time graphics suitable for mostly all kinds of
scientific and engineering visualization applications.

Pivy allows:

- Development of Coin applications and extensions in Python
- Interactive modification of Coin programs from within the Python interpreter
  at runtime
- Incorporation of Scripting Nodes into the scene graph which are capable of
  executing Python code and callbacks
Distribution: science / openSUSE_Leap_15.3
How should be clarified by the FC user which python version is used by the OS related to the pivy version?
Respectively apart from the OS specifications how to become clear which pivy version it is really?
maker
Posts: 142
Joined: Sun Apr 01, 2018 10:25 am

Re: Draft WB - not working - new install FC 0.20

Post by maker »

Hi all,

after getting in contact with the openSUSE FC maintainers, a new package has been build.

http://download.opensuse.org/repositori ... x86_64.rpm

Now Draft wb is working as it should be.

Thanks.
Post Reply